using System;
using System.Reflection;

namespace Websocket.Client.Logging.LogProviders
{
	internal static class TypeExtensions
	{
		internal static ConstructorInfo GetConstructorPortable(this Type type, params Type[] types)
		{
			return type.GetConstructor(types);
		}

		internal static MethodInfo GetMethod(this Type type, string name, params Type[] types)
		{
			return type.GetMethod(name, types);
		}
	}
}
